com.streambase.liveview.client

## Class AbstractTupleEvent

- java.lang.Object
- - java.util.EventObject
  - - com.streambase.liveview.client.AbstractQueryEvent
    - - com.streambase.liveview.client.AbstractTupleEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TupleAddedEvent, TupleRemovedEvent, TupleUpdatedEvent

      public abstract class AbstractTupleEvent
      extends AbstractQueryEvent

  Base abstract class for TupleEvents
  See Also:
    `TupleAddedEvent`, `TupleUpdatedEvent`, `TupleRemovedEvent`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Tuple` | `keyData`
    `protected Tuple` | `tuple`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTupleEvent(Object source, Long key, Tuple tuple, Tuple keyData, List<TupleFieldComparator> fieldComparators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) List<TupleFieldComparator>` | `getComparators()`
    `Long` | `getKey()` Deprecated. since 1.6, use `AbstractTupleEvent.getKeyValue()` instead; certain table types and queries have undefined return values
    `KeyValue` | `getKeyValue()` This replaces `AbstractTupleEvent.getKey()` now that there is support for complex keys
    `Tuple` | `getTuple()` Get the tuple
    `(package private) void` | `setKey(Long key)`

    - ### Methods inherited from class com.streambase.liveview.client.AbstractQueryEvent

      `dispatch`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tuple

          protected final Tuple tuple

    - #### keyData

          protected final Tuple keyData

  - ### Constructor Detail

    - #### AbstractTupleEvent

          public AbstractTupleEvent(Object source,
                                    Long key,
                                    Tuple tuple,
                                    Tuple keyData,
                                    List<TupleFieldComparator> fieldComparators)

      Parameters:
        `source` - the source that generated the event
        `key` - the key of the tuple
        `tuple` - the tuple
        `fieldComparators` - TODO

  - ### Method Detail

    - #### getKey

          public final Long getKey()

      Deprecated. since 1.6, use `AbstractTupleEvent.getKeyValue()` instead; certain table types and queries have undefined return values
      Get the key of the tuple in this event, if applicable
      Returns:
        the key of the tuple as a Long, if applicable

    - #### setKey

          final void setKey(Long key)

    - #### getTuple

          public final Tuple getTuple()

      Get the tuple
      Returns:
        the tuple

    - #### getKeyValue

          public final KeyValue getKeyValue()

      This replaces `AbstractTupleEvent.getKey()` now that there is support for complex keys
      Returns:
        A representative of this Tuple's value for the key, based on whatever the key field(s) are for this Table.
      Since:
        1.6

    - #### getComparators

          List<TupleFieldComparator> getComparators()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.